Citrix XenApp Online Plug-in / Receiver Crafted Certificate MitM Spoofing Weakness

Medium Nessus Plugin ID 42961


A client application installed on the remote Windows host is affected by a man-in-the-middle vulnerability.


The version of Citrix Online Plug-in or ICA Client installed on the remote Windows host is affected by an unspecified man-in-the-middle (MitM) vulnerability. This issue is related to Microsoft security bulletin MS09-056 and is likely due to a failure to detect null bytes in the common name of a server certificate. A remote attacker can exploit this issue to perform a man-in-the-middle attack, allowing the attacker to read or modify SSL/TLS traffic being sent to and from the host.

This plugin only checks the ICA Client running on Windows, though other platforms are affected.


Upgrade to Citrix Online Plug-in or Citrix ICA Client version 11.0.150 / 11.2.0 or later.

See Also

Plugin Details

Severity: Medium

ID: 42961

File Name: citrix_ica_client_ssl_mitm.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2009/12/01

Modified: 2016/11/17

Dependencies: 13855

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N

Vulnerability Information

CPE: cpe:/a:citrix:online_plug-in_for_windows

Required KB Items: SMB/login, SMB/password, SMB/name, SMB/transport, SMB/Registry/Enumerated

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/11/09

Vulnerability Publication Date: 2009/11/09

Reference Information

CVE: CVE-2009-3936

BID: 37073

OSVDB: 59995

Secunia: 37319

CWE: 310